let print_version_bindings () =
  Repository.Ntopo.iter_up
    (fun n ->
      let n0 = n.Repository.n in
      let name = Node.name n0 in
      let req_version = Node.requested_version n0 in
      let req_strength = Node.requested_strength n0 in
      let req_location = Node.requested_location n0 in
      let act_version = Node.actual_version n0 in
      let act_location = Node.actual_location n0 in
      let act_path = Node.actual_path n0 in
      
      print_string ("node " ^ name ^ " -> " ^ 
		    act_path ^ 
		    " v" ^ (Common.string_of_version act_version) ^ "\n");
    )
    Repository.rep
;;


(****)

let topnode = Node.create "." [] V_exact [L_system; L_ws; L_depot; L_local];;

Repository.add [topnode];;

print_version_bindings();;
